from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="langchain_agents_pip",
    version="0.1.0",
    author="Saurabh Sharma",
    author_email="saurabh.kpxt@gmail.com",
    description="Tools package for various database and RAG operations",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/saurabhkpxt/langchain_agents_pip",
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License", 
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.9",
    install_requires=[
        "langchain>=0.1.0",
        "langchain-groq>=0.1.0",
    ],
)